/*
 Scrivere un file JAVA contenente la definizione della classe "Rettangolo" che estende la classe "Poligono".
La classe deve avere due attributi privati di tipo intero che rappresentino l'altezza e la base
del rettangolo. Dotare la classe di un costruttore che imposti i suoi attributi usando opportunamente
il costruttore della classe estesa (Poligono).

La classe deve fornire i seguenti metodi:
    un metodo che restituisce il valore della base del rettangolo;
    un metodo che restituisce il valore dell'altezza del rettangolo;
    un metodo che calcola e restituisce l'area del rettangolo (base*altezza);
    un metodo che stampa a video una descrizione del rettangolo (numero di lati, base ed altezza);
Soluzione
 */
package geometria07022022;

/**
 *
 * @author ant6san
 */
public class Rettangolo extends Poligono{

  private int base;
  private int altezza;
  
  public Rettangolo(int b, int h) {
    super(4);
    base = b;
    altezza = h;
  }
  
  public int getBase() {
    return this.base;
  }
  
  public int getAltezza() {
    return this.altezza;
  }
  
  public int calcolaArea() {
    return (this.base * this.altezza);
  }
  
  public void stampa() {
    System.out.println("Base rettangolo:    " + base);
    System.out.println("Altezza rettangolo: " + altezza);
    System.out.println("Area rettangolo(tramite moltiplicazione): " + (base* altezza));
    // in alternativa si poteva usare il metodo già pronto
   System.out.println("Area rettangolo (tramite metodo) : " + calcolaArea());
  }
}
