/*
Scrivere un file JAVA contenente la definizione della classe "Triangolo" che estende la classe "Poligono"
già creata. La classe deve avere due attributi privati di tipo intero che rappresentino l'altezza e la base
del triangolo.
Dotare la classe di un costruttore che imposti i suoi attributi usando opportunamente
il costruttore della classe estesa (Poligono).
La classe deve fornire i seguenti metodi:
    un metodo per impostare il valore dell'attributo che rappresenta la base del triangolo;
    un metodo per impostare il valore dell'attributo che rappresenta l'altezza del triangolo;
    un metodo che restituisce il valore della base del triangolo;
    un metodo che restituisce il valore dell'altezza del triangolo;
    un metodo che calcola e restituisce l'area del triangolo (base*altezza/2);
Soluzione 
 */
package geometria07022022;

public class Triangolo extends Poligono {
  private int base;
  private int altezza;
  
  public Triangolo(int b, int h) {
    super(3);
    base = b;
    altezza = h;
  }
  
  public int getBase() {
    return this.base;
  }
  
  public int getAltezza() {
    return this.altezza;
  }
  
  public void setBase(int b) {
    base = b;
  }
  
  public void setAltezza(int h) {
    base = h;
  }
  
  public float calcolaArea() {
    return (this.base * this.altezza) / 2;
  }
}